Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface Extra

All Superinterfaces:
  StdAttributesAccess

public interface Extra
extends StdAttributesAccess

Extra information available about each `AMX`. Most of these fields are for advanced use and/or direct use of JMX.

See Also:
  `Util.getExtra(com.sun.appserv.management.base.AMX)`, `AMX`

Method Summary
`boolean` | `checkValid()` A proxy can become invalid if its corresponding MBean is unregistered.
`java.util.Map` | `getAllAttributes()` Get all available Attribute values, keyed by name.
`java.lang.String[]` | `getAttributeNames()` Get the names of all available Attributes as found in MBeanInfo.
`ConnectionSource` | `getConnectionSource()`
`java.lang.String` | `getInterfaceName()` Return the Java classname of the interface that this implements.
`MBeanInfo` | `getMBeanInfo()`
`boolean` | `getMBeanInfoIsInvariant()`
`ObjectName` | `getObjectName()`
`ProxyFactory` | `getProxyFactory()`

Methods inherited from interface com.sun.appserv.management.base.StdAttributesAccess
`getAttribute, getAttributes, setAttribute, setAttributes`

Method Detail

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Get the names of all available Attributes as found in MBeanInfo.

  Returns:
    String[] of names

### getObjectName

    public ObjectName getObjectName()

  Returns:
    the ObjectName of the MBean targeted by the AMX

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Returns:
    the MBeanInfo for the MBean targeted by the AMX

### getMBeanInfoIsInvariant

    public boolean getMBeanInfoIsInvariant()

  Returns:
    true if the MBean targeted by the AMX has invariant MBeanInfo

### getInterfaceName

    public java.lang.String getInterfaceName()

  Return the Java classname of the interface that this implements. This classname may then subsequently be used to create a standard JMX proxy if desired. If no such classname is appropriate, then null will be returned.

  Returns:
    the classnames of all implemented interfaces (usually 1) or null

### getProxyFactory

    public ProxyFactory getProxyFactory()

  Returns:
    the ProxyFactory that created the `AMX`

### getConnectionSource

    public ConnectionSource getConnectionSource()

  Returns:
    the ConnectionSource used by the `AMX`

### getAllAttributes

    public java.util.Map getAllAttributes()

  Get all available Attribute values, keyed by name. Available from client only; not a real Attribute.

  Returns:
    Map keyed by Attribute name.

### checkValid

    public boolean checkValid()

  A proxy can become invalid if its corresponding MBean is unregistered. For example, if monitoring is disabled, most monitoring MBeans are unregistered from the MBeanServer and no longer exist.

  Returns:
    true if this proxy is valid

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.